package com.dubiousoft.sakana;

import android.app.AlertDialog;
import android.app.Dialog;
import android.app.DialogFragment;
import android.os.Bundle;
import android.text.method.ScrollingMovementMethod;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.TextView;

public class AboutDialogFragment extends DialogFragment {
	
	@Override
    public Dialog onCreateDialog(Bundle savedInstanceState) {
		LayoutInflater inflater = getActivity().getLayoutInflater();
		AlertDialog.Builder builder = new AlertDialog.Builder(getActivity());
		View view = inflater.inflate(R.layout.about_dialog, null);

		builder.setView(view);
		
		TextView copyright = (TextView) view.findViewById( R.id.copyright_text );
		copyright.setMovementMethod(new ScrollingMovementMethod());
		
		return builder.create();		

	}

}
